Description

Hi,

There are a few suggestions below that may be implemented one-by-one. The base observation is with the redmine-openid-selector

installed. We could start by improving that plugin before integrating.

Context

There are two scenarios:

1. Sign in by Login / Password (SLP)

2. Sign in by OpenID (SOID)

There is also the necessary eventuality of registration:

1. Registration by Login / Password (RLP)

2. Registration by OpenID (ROID) that could have the same initial screen as SOID

Proposition of Features & Ergonomics

Modified Ergonomic /login Screen that Guides

Unique /login screen proposes the following (perhaps by DIVs of which only one is visible at any time):

Choice:

Login / Password

OpenID

On choosing, one of the 2 Forms is present

Variant

Offer a third choice "Both Redmine Login / Password, and OpenID."

Choice of Login / Password

On the screen is shown:

perhaps on the left, just a login and a password window (no open ID)

perhaps on the right, just a link to the login page (If registration activated)

Choice of OpenID

On the screen is shown the OpenID Selector, but nothing else.

Variant on Choice of OpenID
A link can render visible a field for the login.

A link can render visible a field for the email.

If the login or the email (priority to email) are entered, then this OpenID may be associated to this existing account. Password or

email verification only on successful OpenID passage. If account does not exist by email or by login, then login and/or email are

pre-populated in /account/registration if registration is activated.

Variant Choice of Both Redmine Login / Password, and OpenID

The current screen stands, but if the login / password are correct, the the OpenID URL is reinitialized.

Continuation of Variant

Should the email be taken, a registration screen only asks for the password associated with the username of that email to reinitialize

the URL. Now the person may not, in that case, remember his or her password. The "email already used" screen should send an

email allowing the continuation of the modification of the link (or at least proposition of existing password reminder).

Special Case

Multiple OpenIDs

Change of OpenID

Tests

1. User with correct OpenID URL logs in.

2. User with correct Login / Password logs in.

3. User with new OpenID URL logs in and is sent to register screen without existing account.

4. User with new OpenID URL logs in and is sent to register screen with existing account (variant: email taken from OpenID).

History

#1 - 2012-04-13 12:03 - Christopher Mann

Possible related Issues at this time:

Feature #7075 (New): Improve OpenID Selector

Patch #5267 (New): Allow for OpenID-only operation

Patch #4641 (Assigned): Add information about openid requirements to /admin/info

Patch #4225 (New): Support for OpenID Policy URLs

Defect #3780 (New): Attribute exchange with OpenID providers (But I don't think that attributes are always available)

Patch #5966 (New): change to allow openID to use Google Apps

Defect #5532 (New): Meaningful error messages when using OpenID

Defect #5302 (New): back_url not work for opened login

Patch #5268 (New): Handle commas in returned OpenID fullnames

Feature #5022 (New): Support for OpenID login authority delegation

This issue replaces the #10660.

#2 - 2012-04-13 12:05 - Christopher Mann

FYI

https://github.com/jorgebg/redmine-openid-selector/issues/6

https://www.chiliproject.org/issues/985

http://www.redmine.org/issues/10661

#3 - 2012-04-13 13:25 - Christopher Mann

These ergonomics look easier to implement:

https://community.webfaction.com/account/signin/

Based on OSQA

#4 - 2012-04-18 16:20 - Loïs PUIG

+1 for this feature

I already love the openID selector plugin, but it misses an important feature :

the possibility to easily associate an already registered account.

or better, automatic association when a registered user with the same email is found in redmine database.
#5 - 2013-03-15 00:17 - Mischa The Evil

- Category set to OpenID

#6 - 2021-12-14 01:15 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

The OpenID support has been dropped by #35755 for the upcoming Redmine 5.0.0.
